Latest 0.1.2
Homepage https://github.com/wzningjie/XMMegaBase
License MIT
Platforms ios 7.0, requires ARC
Dependencies AFNetworking, SDWebImage, MBProgressHUD, JSONModel, BlocksKit, Reachability, SwipeView, Objective-LevelDB, IQKeyboardManager, WeChat_SDK
Frameworks UIKit, Foundation
Authors

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

Installation

XMMegaBase is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "NJBase"

Author

shuiyue

License

XMMegaBase is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "XMMegaBase",
    "version": "0.1.2",
    "summary": "A short description of XMMegaBase.",
    "description": "TODO:target",
    "homepage": "https://github.com/wzningjie/XMMegaBase",
    "license": {
        "type": "MIT",
        "file": "FILE_LICENSE"
    },
    "authors": {
        "shuiyue": "[email protected]"
    },
    "platforms": {
        "ios": "7.0"
    },
    "requires_arc": true,
    "source": {
        "git": "https://github.com/wzningjie/XMMegaBase.git",
        "tag": "0.1.2"
    },
    "source_files": "XMMegaBase/Products/include/*.{h,m}",
    "public_header_files": "XMMegaBase/Products/include/*.h",
    "ios": {
        "vendored_libraries": "XMMegaBase/Products/lib/libXMMegaBase.a"
    },
    "prefix_header_contents": "#import "XMMegaBaseConstants.h"",
    "libraries": [
        "sqlite3",
        "c++",
        "z"
    ],
    "resource_bundles": {
        "XMMegaBase": [
            "XMMegaBase/Assets/*.*"
        ]
    },
    "frameworks": [
        "UIKit",
        "Foundation"
    ],
    "dependencies": {
        "AFNetworking": [
            "~> 3.0"
        ],
        "SDWebImage": [
            "~> 3.7"
        ],
        "MBProgressHUD": [
            "~> 0.9"
        ],
        "JSONModel": [
            "~> 1.0.2"
        ],
        "BlocksKit": [
            "~> 2.2.5"
        ],
        "Reachability": [
            "~> 3.1.1"
        ],
        "SwipeView": [
            "~> 1.3.2"
        ],
        "Objective-LevelDB": [
            "~> 2.1.4"
        ],
        "IQKeyboardManager": [],
        "WeChat_SDK": [
            "~> 1.7.2.1"
        ]
    }
}

Pin It on Pinterest

Share This